# i2cScanner
```
Scanning...
I2C device found at address 0x3C  ! (display)
I2C device found at address 0x76  ! (temp sensors)
I2C device found at address 0x77  ! (temp sensors)
done
```

# Arduino build

Uz arduino buildojot projekts strādā - konsolē teksts rādās korekti.

## Verify

1. "C:\Program Files (x86)\Arduino\arduino-builder" -dump-prefs -logger=machine -hardware "C:\Program Files (x86)\Arduino\hardware" -hardware C:\Users\JV\Documents\Arduino\hardware -tools "C:\Program Files (x86)\Arduino\tools-builder" -tools "C:\Program Files (x86)\Arduino\hardware\tools\avr" -built-in-libraries "C:\Program Files (x86)\Arduino\libraries" -libraries C:\Users\JV\Documents\Arduino\libraries -fqbn=WAV:avr:lardu_328p -ide-version=10808 -build-path C:\Users\JV\AppData\Local\Temp\arduino_build_171120 -warnings=null -prefs=build.warn_data_percentage=75 C:\Users\JV\Documents\Arduino\helloworld\helloworld.ino
2. "C:\Program Files (x86)\Arduino\arduino-builder" -compile -logger=machine -hardware "C:\Program Files (x86)\Arduino\hardware" -hardware C:\Users\JV\Documents\Arduino\hardware -tools "C:\Program Files (x86)\Arduino\tools-builder" -tools "C:\Program Files (x86)\Arduino\hardware\tools\avr" -built-in-libraries "C:\Program Files (x86)\Arduino\libraries" -libraries C:\Users\JV\Documents\Arduino\libraries -fqbn=WAV:avr:lardu_328p -ide-version=10808 -build-path C:\Users\JV\AppData\Local\Temp\arduino_build_171120 -warnings=null -prefs=build.warn_data_percentage=75 C:\Users\JV\Documents\Arduino\helloworld\helloworld.ino
3. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul
4. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
5. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul
6. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
7. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src -IC:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul
8. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -I C:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
9. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src -IC:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -IC:\Users\JV\Documents\Arduino\libraries\SPI\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul
10. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -I C:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -I C:\Users\JV\Documents\Arduino\libraries\SPI\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
11. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src -IC:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -IC:\Users\JV\Documents\Arduino\libraries\SPI\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\preproc\ctags_target_for_gcc_minus_e.cpp
12. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -I C:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -I C:\Users\JV\Documents\Arduino\libraries\SPI\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\preproc\ctags_target_for_gcc_minus_e.cpp -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
13. "C:\Program Files (x86)\Arduino\tools-builder\ctags\5.8-arduino11/ctags" -u --language-force=c++ -f - --c++-kinds=svpf --fields=KSTtzns --line-directives C:\Users\JV\AppData\Local\Temp\arduino_build_171120\preproc\ctags_target_for_gcc_minus_e.cpp
14. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -MMD -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src -IC:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -IC:\Users\JV\Documents\Arduino\libraries\SPI\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o
15. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -quiet -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -I C:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -I C:\Users\JV\Documents\Arduino\libraries\SPI\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -MMD C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.d -MQ C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -mn-flash=1 -mno-skip-bug -quiet -dumpbase helloworld.ino.cpp -mmcu=avr5 -auxbase-strip C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o -g -Os -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions -o C:\Users\JV\AppData\Local\Temp\ccvVbto0.s
16. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/bin/as.exe" -mmcu=avr5 -mno-skip-bug -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o C:\Users\JV\AppData\Local\Temp\ccvVbto0.s
17. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-gcc" -Os -Wl,--gc-sections -mmcu=atmega328p -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\Wire.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\utility\twi.c.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SparkFun_BME280\SparkFunBME280.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SPI\SPI.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/core\core.a -LC:\Users\JV\AppData\Local\Temp\arduino_build_171120 -lm
18. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/collect2.exe" -plugin "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/liblto_plugin-0.dll" "-plugin-opt=c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/lto-wrapper.exe" -plugin-opt=-fresolution=C:\Users\JV\AppData\Local\Temp\ccecg8Dw.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lm -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-latmega328p -mavr5 -Tdata 0x800100 -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf "c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib/avr5/crtatmega328p.o" -LC:\Users\JV\AppData\Local\Temp\arduino_build_171120 "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/avr5" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib/avr5" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib" --gc-sections C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\Wire.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\utility\twi.c.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SparkFun_BME280\SparkFunBME280.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SPI\SPI.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/core\core.a -lm --start-group -lgcc -lm -lc -latmega328p --end-group
19. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/bin/ld.exe" -plugin "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/liblto_plugin-0.dll" "-plugin-opt=c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/lto-wrapper.exe" -plugin-opt=-fresolution=C:\Users\JV\AppData\Local\Temp\ccecg8Dw.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lm -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-latmega328p -mavr5 -Tdata 0x800100 -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf "c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib/avr5/crtatmega328p.o" -LC:\Users\JV\AppData\Local\Temp\arduino_build_171120 "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/avr5" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib/avr5" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib" --gc-sections C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\Wire.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\utility\twi.c.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SparkFun_BME280\SparkFunBME280.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SPI\SPI.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/core\core.a -lm --start-group -lgcc -lm -lc -latmega328p --end-group
20. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-objcopy" -O ihex -j .eeprom --set-section-flags=.eeprom=alloc,load --no-change-warnings --change-section-lma .eeprom=0 C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.eep
21. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-objcopy" -O ihex -R .eeprom C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.hex
22. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-size" -A C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf

## Upload

1. "C:\Program Files (x86)\Arduino\arduino-builder" -dump-prefs -logger=machine -hardware "C:\Program Files (x86)\Arduino\hardware" -hardware C:\Users\JV\Documents\Arduino\hardware -tools "C:\Program Files (x86)\Arduino\tools-builder" -tools "C:\Program Files (x86)\Arduino\hardware\tools\avr" -built-in-libraries "C:\Program Files (x86)\Arduino\libraries" -libraries C:\Users\JV\Documents\Arduino\libraries -fqbn=WAV:avr:lardu_328p -ide-version=10808 -build-path C:\Users\JV\AppData\Local\Temp\arduino_build_171120 -warnings=null -prefs=build.warn_data_percentage=75 C:\Users\JV\Documents\Arduino\helloworld\helloworld.ino
2. "C:\Program Files (x86)\Arduino\arduino-builder" -compile -logger=machine -hardware "C:\Program Files (x86)\Arduino\hardware" -hardware C:\Users\JV\Documents\Arduino\hardware -tools "C:\Program Files (x86)\Arduino\tools-builder" -tools "C:\Program Files (x86)\Arduino\hardware\tools\avr" -built-in-libraries "C:\Program Files (x86)\Arduino\libraries" -libraries C:\Users\JV\Documents\Arduino\libraries -fqbn=WAV:avr:lardu_328p -ide-version=10808 -build-path C:\Users\JV\AppData\Local\Temp\arduino_build_171120 -warnings=null -prefs=build.warn_data_percentage=75 C:\Users\JV\Documents\Arduino\helloworld\helloworld.ino
3. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul
4. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
5. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul
6. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
7. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src -IC:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul
8. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -I C:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
9. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src -IC:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -IC:\Users\JV\Documents\Arduino\libraries\SPI\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul
10. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -I C:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -I C:\Users\JV\Documents\Arduino\libraries\SPI\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o nul -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
11. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -w -x c++ -E -CC -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src -IC:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -IC:\Users\JV\Documents\Arduino\libraries\SPI\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\preproc\ctags_target_for_gcc_minus_e.cpp
12. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -E -quiet -CC -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -I C:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -I C:\Users\JV\Documents\Arduino\libraries\SPI\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\preproc\ctags_target_for_gcc_minus_e.cpp -mn-flash=1 -mno-skip-bug -mmcu=avr5 -w -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -g -fworking-directory -Os -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions
13. "C:\Program Files (x86)\Arduino\tools-builder\ctags\5.8-arduino11/ctags" -u --language-force=c++ -f - --c++-kinds=svpf --fields=KSTtzns --line-directives C:\Users\JV\AppData\Local\Temp\arduino_build_171120\preproc\ctags_target_for_gcc_minus_e.cpp
14. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-g++" -c -g -Os -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -MMD -mmcu=atmega328p -DF_CPU=16000000L -DARDUINO=10808 -DARDUINO_AVR_LARDU_328E -DARDUINO_ARCH_AVR -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -IC:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -IC:\Users\JV\Documents\Arduino\libraries\Wire\src -IC:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -IC:\Users\JV\Documents\Arduino\libraries\SPI\src C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o
15. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/cc1plus.exe" -quiet -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\cores\lgt8f -I C:\Users\JV\Documents\Arduino\hardware\WAV\avr\variants\lgt8fx8p -I C:\Users\JV\Documents\Arduino\libraries\Wire\src -I C:\Users\JV\Documents\Arduino\libraries\SparkFun_BME280\src -I C:\Users\JV\Documents\Arduino\libraries\SPI\src -imultilib avr5 -iprefix "c:\program files (x86)\arduino\hardware\tools\avr\bin\../lib/gcc/avr/5.4.0/" -MMD C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.d -MQ C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o -D__AVR_ATmega328P__ -D__AVR_DEVICE_NAME__=atmega328p -D F_CPU=16000000L -D ARDUINO=10808 -D ARDUINO_AVR_LARDU_328E -D ARDUINO_ARCH_AVR C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp -mn-flash=1 -mno-skip-bug -quiet -dumpbase helloworld.ino.cpp -mmcu=avr5 -auxbase-strip C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o -g -Os -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -mn-flash=1 -mno-skip-bug -fno-rtti -fno-enforce-eh-specs -fno-exceptions -o C:\Users\JV\AppData\Local\Temp\ccJOf8Xe.s
16. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/bin/as.exe" -mmcu=avr5 -mno-skip-bug -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o C:\Users\JV\AppData\Local\Temp\ccJOf8Xe.s
17. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-gcc" -Os -Wl,--gc-sections -mmcu=atmega328p -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\Wire.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\utility\twi.c.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SparkFun_BME280\SparkFunBME280.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SPI\SPI.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/core\core.a -LC:\Users\JV\AppData\Local\Temp\arduino_build_171120 -lm
18. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/collect2.exe" -plugin "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/liblto_plugin-0.dll" "-plugin-opt=c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/lto-wrapper.exe" -plugin-opt=-fresolution=C:\Users\JV\AppData\Local\Temp\cc7ITS3S.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lm -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-latmega328p -mavr5 -Tdata 0x800100 -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf "c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib/avr5/crtatmega328p.o" -LC:\Users\JV\AppData\Local\Temp\arduino_build_171120 "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/avr5" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib/avr5" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib" --gc-sections C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\Wire.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\utility\twi.c.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SparkFun_BME280\SparkFunBME280.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SPI\SPI.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/core\core.a -lm --start-group -lgcc -lm -lc -latmega328p --end-group
19. "c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/bin/ld.exe" -plugin "c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/liblto_plugin-0.dll" "-plugin-opt=c:/program files (x86)/arduino/hardware/tools/avr/bin/../libexec/gcc/avr/5.4.0/lto-wrapper.exe" -plugin-opt=-fresolution=C:\Users\JV\AppData\Local\Temp\cc7ITS3S.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lm -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-latmega328p -mavr5 -Tdata 0x800100 -o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf "c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib/avr5/crtatmega328p.o" -LC:\Users\JV\AppData\Local\Temp\arduino_build_171120 "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/avr5" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib/avr5" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc" "-Lc:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/lib" --gc-sections C:\Users\JV\AppData\Local\Temp\arduino_build_171120\sketch\helloworld.ino.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\Wire.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\Wire\utility\twi.c.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SparkFun_BME280\SparkFunBME280.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120\libraries\SPI\SPI.cpp.o C:\Users\JV\AppData\Local\Temp\arduino_build_171120/core\core.a -lm --start-group -lgcc -lm -lc -latmega328p --end-group
20. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-objcopy" -O ihex -j .eeprom --set-section-flags=.eeprom=alloc,load --no-change-warnings --change-section-lma .eeprom=0 C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.eep
21. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-objcopy" -O ihex -R .eeprom C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.hex
22. "C:\Program Files (x86)\Arduino\hardware\tools\avr/bin/avr-size" -A C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.elf
23. "C:\Program Files (x86)\Arduino\hardware\tools\avr\bin\avrdude" "-CC:\Program Files (x86)\Arduino\hardware\tools\avr/etc/avrdude.conf" -q -q -patmega328p -carduino -PCOM3 -b57600 -D -Uflash:w:C:\Users\JV\AppData\Local\Temp\arduino_build_171120/helloworld.ino.hex:i

# PlatformIO

## Build
1. C:\Users\JV\.platformio\penv\Scripts\platformio.exe run
2. "c:\users\jv\.platformio\penv\scripts\python.exe"  "C:\Users\JV\.platformio\penv\Scripts\platformio.exe" run
3. c:\users\jv\.platformio\penv\scripts\python.exe C:\Users\JV\.platformio\packages\tool-scons\script\scons -Q --warn=no-no-parallel-support --jobs 4 --sconstruct c:\users\jv\.platformio\penv\lib\site-packages\platformio\builder\main.py PIOVERBOSE=0 ISATTY=1 PLATFORM_MANIFEST=QzpcVXNlcnNcSlZcLnBsYXRmb3JtaW9ccGxhdGZvcm1zXGF0bWVsYXZyXHBsYXRmb3JtLmpzb24= BUILD_SCRIPT=QzpcVXNlcnNcSlZcLnBsYXRmb3JtaW9ccGxhdGZvcm1zXGF0bWVsYXZyXGJ1aWxkZXJcbWFpbi5weQ== PROJECT_CONFIG=YzpcVXNlcnNcSlZcRG9jdW1lbnRzXFBsYXRmb3JtSU9cUHJvamVjdHNcSGVsbG9Xb3JsZFdhdmdhdFxwbGF0Zm9ybWlvLmluaQ== PIOENV=QVRtZWdhMzI4UA==
   PLATFORM_MANIFEST = C:\Users\JV\.platformio\platforms\atmelavr\platform.json (QzpcVXNlcnNcSlZcLnBsYXRmb3JtaW9ccGxhdGZvcm1zXGF0bWVsYXZyXHBsYXRmb3JtLmpzb24=)
   PROJECT_CONFIG = c:\Users\JV\Documents\PlatformIO\Projects\HelloWorldWavgat\platformio.ini (YzpcVXNlcnNcSlZcRG9jdW1lbnRzXFBsYXRmb3JtSU9cUHJvamVjdHNcSGVsbG9Xb3JsZFdhdmdhdFxwbGF0Zm9ybWlvLmluaQ==)
   PIOENV = ATmega328P (QVRtZWdhMzI4UA==)
4. avr-size -A -d .pio\build\ATmega328P\firmware.elf
